body{
  font-family: Times New Roman;
  height: 100vh;
  display: flex;
  flex-direction: column;
}

header{
    background-color: cyan;
    height: 60px;
    flex-shrink: 0px;
}

header h1{
  font-family: "Roboto Condensed", sans-serif;
  font-optical-sizing: auto;
  font-weight: weight;
  font-style: normal;
  font-size: 20px;
}

nav{
    background-color: lightcyan;
    height: 30px;
}

#main-nav{
    background-color: darkblue;
    height: 30px;
    color: white;
}

nav li{
    display: inline-block;
    list-style: none;
    height: 30px;
}

nav a{
    display: flex;
    align-items: center;
    height: 100%;
    padding: 0 10px 0 10px;
    color: lightseagreen;
}

#content{
    display: flex;
    flex: auto;
    flex-direction: row;
}

main{
    width: 70%;
    box-sizing: border-box;
    padding: 20px;
}

aside{
    width: 30%;
    box-sizing: border-box;
    padding: 20px;
    background-color: lightskyblue;
}

footer{
    background-color: lightsteelblue;
    color: red;
    font-size: 85%;
    flex-shrink: 0;
    padding: 10px;
}

h1{
    color: blueviolet;
    font-size: 140%;
    margin-bottom: 20px;
}

p{
    margin-bottom: 12px;
}
#menu-button{
    display: none;
}

@media all and (max-width:800px){
    header{
        height: 44px;
    }

    div{
        display: block;
    }

    main, aside{
        width: 100%;
    }

    #menu-button{
        display: block;
        position: absolute;
        top: 0px;
        right: 0px;
        height: 44px;
        text-align: center;
        line-height: 44px;
        color: black;
    }
    nav{
        height: auto;
        display: none;
    }
    nav.open{
        display: block;
    }
    

}

